<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [StudyTask](./bitburner.studytask.md)

## StudyTask interface

Study

**Signature:**

```typescript
export interface StudyTask extends BaseTask 
```
**Extends:** [BaseTask](./bitburner.basetask.md)

## Remarks

An object representing the current study task

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[classType](./bitburner.studytask.classtype.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[location](./bitburner.studytask.location.md)


</td><td>


</td><td>

[LocationName](./bitburner.locationname.md)


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.studytask.type.md)


</td><td>


</td><td>

"CLASS"


</td><td>


</td></tr>
</tbody></table>

